Download it now!
Bug 117915 - Bullet Tooltips Describe Wrong Symbol
Summary: Bullet Tooltips Describe Wrong Symbol
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: All All
: medium trivial
Assignee: Julien Nabet
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-30 20:44 UTC by andrewdcox10
Modified: 2018-06-01 07:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andrewdcox10 2018-05-30 20:44:18 UTC
Description:
The tooltip text displayed when hovering over the "x" bullet and check mark bullet icons are incorrect. The "x" bullet is described as a "check mark bullet" while the check mark is described as a "tick mark bullet". It seems like these should be switched: "x" is a tick mark and the check mark is, well, the check mark.

Affects: Impress, Writer
Keywords: UI
Version: 6.0.4.2
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 8; OS: Mac OS X 10.13.4; UI render: default; 
Locale: en-US (en_US.UTF-8); Calc: group

Steps to Reproduce:
1. Open a Writer or Impress document
2. Type some text
3. In the formatting menu, select the bullet options to open the submenu
4. Hover over the "x" or check mark bullet options to see the tooltip text

Actual Results:  
The text for the "x" and check mark are switched

Expected Results:
the "x" bullet should be called a "tick mark" while the check mark should be called a "check mark"


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Julien Nabet 2018-05-31 19:00:03 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Julien Nabet 2018-05-31 19:13:45 UTC
I submitted a patch on gerrit:
https://gerrit.libreoffice.org/#/c/55145/

Xisco: thought you might be interested in this one.
Comment 3 Adolfo Jayme 2018-06-01 04:21:15 UTC
Actually…

“Tick” and “check mark” both refer to the same symbol, “✓”. The only difference between both terms is the dialect they’re used in: “check mark” is US English, while “tick” is British English.

The “✗” symbol should be called a “cross mark” to avoid confusion.
Comment 4 Commit Notification 2018-06-01 05:24:13 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb68da55f759f1a099358ff53237e2c12a55770c

tdf#117915: fix mix of Bullet Tooltips

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-06-01 07:34:04 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0f1093207ed086c30d72f30fc2c04d81c4c8a21&h=libreoffice-6-1

tdf#117915: fix mix of Bullet Tooltips

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.